# dhcSim library

This is the development site for the _dhcSim Modelica Library_ and its user guide.

## Library description 
The _dhcSim_ library is a free open-source library with basic models to allow dynamic sumlation of complex 
district heating and cooling (DHC) networks. It was developed to ease the modeling of complex DHC systems
from two level concepts (supply and return) up to a large number of parallel network levels. This
library was developed supplementary to the [Modelica Buildings Library](https://github.com/lbl-srg/modelica-buildings) 8.0.0 and the Modelica Standard Library. 
The dhcSim aims to provide a simple and clear model structure that is user-friendly and applicable to many 
custom network concepts. This library can be used for smaller as well as significantly larger DHC networks.

## Licence 
The _dhcSim_ is available under the terms of the BSD 3-Clause License.
A copy of the license is available at [dhcSim/LICENSE.md](https://github.com/mabachmann/dhcSim/blob/main/LICENSE.md).

## Development and contribution
You may report any issues by using the [Issues](https://github.com/mabachmann/dhcSim/issues) button.

Contributions in the form of [Pull Requests](https://github.com/mabachmann/dhcSim/pulls) are always welcome.
Prior to issuing a pull request, make sure your code follows
the [IBPSA style guide and coding conventions](https://github.com/ibpsa/modelica-ibpsa/wiki/Style-Guide).




